package com.xylink.util;

import java.util.concurrent.*;

/**
 * Created with IntelliJ IDEA.
 * Description:
 * User: gzm
 * Date: 2021-04-12
 */
public class SchedulerUtil {
    private static final ScheduledExecutorService scheduler = Executors.newScheduledThreadPool(2);

    public SchedulerUtil() {
    }

    public static ScheduledFuture<?> schedule(Runnable command, long initialDelay,TimeUnit unit) {
        return scheduler.schedule(command, initialDelay,unit);
    }

    public static void shutdown() {
            scheduler.shutdown();
    }

    public static long tasksNnubers(){
        ThreadPoolExecutor threadPoolExecutor  = ((ThreadPoolExecutor)scheduler);
        int activeCount = threadPoolExecutor.getActiveCount();
        long taskCount = threadPoolExecutor.getTaskCount();
        long completedTaskCount = threadPoolExecutor.getCompletedTaskCount();
        return taskCount - completedTaskCount - activeCount;
    }
}
